const museumData = {
  classic: {
    large: "Louvre Museum",
    medium: "Musée d'Orsay",
    small: "Musée Marmottan Monet"
  },
  modern: {
    large: "Centre Pompidou",
    medium: "Palais de Tokyo",
    small: "Musée Picasso"
  },
  varied: {
    large: "Grand Palais",
    medium: "Musée Rodin",
    small: "Musée de l'Orangerie"
  }
};

const quizForm = document.getElementById('museumQuiz');
const resultSection = document.querySelector('.result-section');
const museumResult = document.getElementById('museumResult');
const retakeButton = document.getElementById('retakeQuiz');

quizForm.addEventListener('submit', function(e) {
  e.preventDefault();
  
  const artPreference = document.querySelector('input[name="art"]:checked').value;
  const sizePreference = document.querySelector('input[name="size"]:checked').value;
  
  const result = museumData[artPreference][sizePreference];
  
  museumResult.textContent = `Your perfect museum match is: ${result}`;
  quizForm.classList.add('hidden');
  resultSection.classList.remove('hidden');
});

retakeButton.addEventListener('click', function() {
  quizForm.reset();
  resultSection.classList.add('hidden');
  quizForm.classList.remove('hidden');
});